Subject: GNOME Calendar: I can't add events
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Fri, 17 Apr 2020 19:43:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

GNOME Calendar is currently useless in a default installation of the Guix system with GNOME because you can't add events. The application also has missing icons and defaults.

I can reproduce the problem in both a real machine and a virtual machine (guix system vm MY_CONFIG).

## Steps to reproduce

1. Start GNOME Calendar
2. Click on any day of the month (an event creation box pops up)
3. Type the name of a new event
4. Click the Add button

## Expected result

The event creation box is closed, and the event is added to the box of the day you selected in step 2.

## Unexpected result

Clicking the Add button does nothing. The event creation box remains open and the event is not added to the box of the day you selected in step 2.

Also, icons and default kinds of events seem to be missing, as shown in the following screenshot:

https://multimedialib.files.wordpress.com/2020/04/gnu-guix-gnome-calendar-events-bug-2020-04-17.png

## Workaround

Installing the `evolution-data-server` package solves the problems (both the inability to add events and the missing icons and defaults).

## System information

nome-calendar: Version 3.32.2

guix describe
Generation 72	Apr 17 2020 08:12:14	(current)
  sirgazil-x 66d4b67
    repository URL: https://gitlab.com/sirgazil/guix-channel-x.git
    branch: master
    commit: 66d4b677875c84d0b7a946376cd4885f202094eb
  guix 79ef072
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 79ef0726a9afb7bd4676b9a53401f742c7b8365

## Additional information

There is already a patch that propagates `evolution-data-server` in the GNOME Calendar package definition (https://issues.guix.gnu.org/issue/39069), but I wonder if `evolution-data-server` should be made available in another way because other GNOME applications don't work if it is not installed (e.g. GNOME Contacts).

---
https://sirgazil.bitbucket.io/